MONGOC_CLIENT_POOL_NEW(3)

NAME
mongoc_client_pool_new() - None

SYNOPSIS

mongoc_client_pool_t *
mongoc_client_pool_new (const mongoc_uri_t *uri);

This function creates a new mongoc_client_pool_t using the mongoc_uri_t provided.

PARAMETERS

uri A mongoc_uri_t \&.

RETURNS

A newly allocated mongoc_client_pool_t that should be freed with mongoc_client_pool_destroy(3) when no longer in use.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.